port: 7890
socks-port: 7891
allow-lan: true
mode: Rule
log-level: info

dns:
  enable: true
  listen: 0.0.0.0:53
  default-nameserver:
    - 154.83.83.85
    - 8.8.8.8
  enhanced-mode: fake-ip
  fake-ip-range: 198.18.0.1/16

proxies:
  - name: "Japan-Shadowsocks"
    type: ss
    server: 154.83.93.175
    port: 5951
    cipher: chacha20-ietf-poly1305
    password: Wz198407
    udp: true

  - name: "Japan-Hysteria2"
    type: hysteria2
    server: 154.83.93.175
    port: 6691
    password: f76b0b28-eaaf-4d45-aa55-b88d2477d500
    alpn:
      - h3
    udp: true
    tls: true
    skip-cert-verify: true

  - name: "Japan-Trojan"
    type: trojan
    server: 154.83.93.175
    port: 9166
    password: 08bce1aa-2ee0-48c7-8937-8cfbcf5322a1
    udp: true
    tls: true
    skip-cert-verify: true

  - name: "Singapore-SS"
    type: ss
    server: 47.236.253.17
    port: 8388
    cipher: chacha20-ietf-poly1305
    password: WF6q5GgETFZ9
    udp: true

  - name: "Hongkong-Hysteria2"
    type: hysteria2
    server: 141.11.79.84
    port: 9611
    password: "65b28cf3-81f5-4ce1-9ba8-497502dd8256"
    alpn:
      - h3
    tls: true
    skip-cert-verify: true

  - name: "Hongkong-Shadowsocks"
    type: ss
    server: 141.11.79.84
    port: 1491
    cipher: chacha20-ietf-poly1305
    password: "Wz198407"
proxy-groups:
  - name: "Auto"
    type: select
    proxies:
      - "Japan-Shadowsocks"
      - "Japan-Hysteria2"
      - "Japan-Trojan"
      - "Singapore-SS"
      - "Hongkong-Shadowsocks"
      - "Hongkong-Hysteria2"
      - DIRECT

rules:
  - DOMAIN-SUFFIX,google.com,Auto
  - DOMAIN-SUFFIX,amazon.com,Auto
  - GEOIP,CN,DIRECT
  - MATCH,Auto
